# Uses of Class
org.apache.datasketches.quantiles.CompactQuantilesDoublesSketch

Packages that use CompactQuantilesDoublesSketch
Package
Description
org.apache.datasketches.quantiles
The quantiles package contains stochastic streaming algorithms that enable single-pass analysis of the distribution of a stream of quantiles.

## Uses of CompactQuantilesDoublesSketch in org.apache.datasketches.quantiles

Methods in org.apache.datasketches.quantiles that return CompactQuantilesDoublesSketch
Modifier and Type
Method
Description
`CompactQuantilesDoublesSketch`
UpdatableQuantilesDoublesSketch.`compact()`
Returns a CompactQuantilesDoublesSketch of this class
`CompactQuantilesDoublesSketch`
UpdatableQuantilesDoublesSketch.`compact(MemorySegment dstSeg)`
Returns a compact version of this sketch.